Quiz_questions
A: Update question
AuthorizationBearer <token>
In: header
Path Parameters
question_idstring
The question id identifier
Format
uuidauto_gradableboolean
Default
truenegative_scoreinteger
Default
1optionsarray<object>
requiredboolean
Default
truescoreinteger
Default
3titlestring
Default
"What is the primary goal of machine learning? (Updated)"Response Body
curl -X PUT "https://edushade.com/api/v1/admin/questions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
-H "Content-Type: application/json" \
-d '{
"auto_gradable": true,
"negative_score": 1,
"options": [
{
"group_name": "",
"image_url": "",
"is_correct": false,
"option_data": {},
"option_text": "To program computers with explicit instructions",
"option_type": "choice",
"option_value": "A",
"order_index": 1
}
],
"required": true,
"score": 3,
"title": "What is the primary goal of machine learning? (Updated)"
}'{}Empty
Empty
Empty